<template>
    <header
        class="
            sticky
            top-0
            z-50
            text-gray-300
            shadow-xl
            bg-gray-900
            dark:bg-gray-950
            bg-opacity-95
            dark:bg-opacity-80
            backdrop-blur
            border-b border-gray-700
        "
    >
        <div class="px-4 py-3 sm:py-4">
            <slot />
        </div>
    </header>
</template>
